%define		_status		beta
%define		_pearname	LiveUser
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - user authentication and permission management framework
Summary(pl.UTF-8):	%{_pearname} - uwierzytelnianie użytkowników i zarządzanie uprawnieniami
Name:		php-pear-%{_pearname}
Version:	0.16.14
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	ea4e9da897722848091c1414b06423fa
URL:		http://pear.php.net/package/LiveUser/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-Event_Dispatcher
Requires:	php-pear-PEAR-core >= 1:1.3.3
Suggests:	php-hash
Suggests:	php-mcrypt
Suggests:	php-pear-Crypt_RC4
Suggests:	php-pear-DB
Suggests:	php-pear-Log
Suggests:	php-pear-MDB
Suggests:	php-pear-MDB2
Suggests:	php-pear-MDB2_Schema
Suggests:	php-pear-XML_Tree
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Log.php)' 'pear(DB.*)' 'pear(MDB.*)' 'pear(MDB2.*)' 'pear(MDB2/Schema.*)' 'pear(XML/Tree.php)' 'pear(Crypt/RC4.*)'

%description
Perm_LiveUser is a set of classes for dealing with user authentication
and permission management. Basically, there are three main elements
that make up this package:
- The LoginManager,
- The Auth containers,
- The Perm containers.

The LoginManager class takes care of the login process and can be
configured to use a certain permission container and one or more
different auth containers. That means, you can have your users' data
scattered amongst many data containers and have the LoginManager try
each defined container until the user is found. For example, you can
have all website users who can apply for a new account online on the
webserver's local database. Also, you want to enable all your
company's employees to login to the site without the need to create
new accounts for all of them. To achieve that, a second container can
be defined to be used by the LoginManager. You can also define a
permission container of your choice that will manage the rights for
each user. Depending on the container, you can implement any kind of
permission schemes for your application while having one consistent
API. Using different permission and auth containers, it's easily
possible to integrate newly written applications with older ones that
have their own ways of storing permissions and user data. Just make a
new container type and you're ready to go! Currently available are
RDBMS containers using PEAR::DB. More are soon to follow.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Perm_LiveUser to zestaw klas do uwierzytelniania użytkowników i
zarządzania uprawnieniami. Zasadniczo na ten pakiet składają się trzy
główne elementy:
- LoginManager (zarządca logowania),
- kontenery Auth (uwierzytelniania),
- kontenery Perm (uprawnień.

Klasa LoginManager obsługuje proces logowania i może być
skonfigurowana do używania różnych kontenerów uprawnień oraz jednego
lub większej liczby kontenerów uwierzytelniania. Oznacza to, że można
mieć dane użytkowników rozproszone po różnych kontenerach danych, a
LoginManager będzie próbował użyć każdego zdefiniowanego kontenera aż
do znalezienia użytkownika. Na przykład można mieć wszystkich
użytkowników strony WWW, którzy mogą zgłosić się po nowe konto ze
strony do lokalnej bazy danych serwera WWW. Można też chcieć umożliwić
wszystkim pracownikom firmy na logowanie do strony bez potrzeby
tworzenia im nowych kont. Aby to osiągnąć, można zdefiniować drugi
kontener dla LoginManagera. Można także zdefiniować kontener
uprawnień, który będzie zarządzał prawami dla każdego użytkownika.
Zależnie od kontenera można zaimplementować dowolne rodzaje schematów
uprawnień dla aplikacji cały czas mając jedno spójne API. Przy użyciu
różnych kontenerów uprawnień i uwierzytelniania można łatwo
zintegrować nowo pisane aplikacje ze starszymi, które miały własne
sposoby zapisywania uprawnień i danych użytkowników - wystarczy
stworzyć nowy typ kontenera. Aktualnie dostępne są kontenery RDBMS
używające PEAR::DB, wkrótce będzie więcej.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/LiveUser.php
%{php_pear_dir}/LiveUser

%{php_pear_dir}/data/%{_pearname}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 32ad3be
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 92212a9
- updated to: 0.16.14

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 591b6ed
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 1641004
- updated to: 0.16.13

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 8f933b0
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1b56423
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0bd92f8
- converted to UTF-8

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> 9a361a2
- updated to 0.16.12

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 435f67f
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> 946486d
- updated to 0.16.11

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> ab15288
- 0.16.10

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 2c03023
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> ac3d718
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 9cbeebe
- require php-pear-PEAR-core, not the full PEAR package with deps

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 466fa1d
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 82a95d4
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 3335242
- new pear packaging

* Sun Sep 04 2005 Adam Gołębiowski <adamg@pld-linux.org> 66b6718
- updated to 0.16.6

* Sun Aug 21 2005 Adam Gołębiowski <adamg@pld-linux.org> 1f845a2
- updated to 0.16.5

* Sun Apr 03 2005 Adam Gołębiowski <adamg@pld-linux.org> f529172
- updated to 0.15.1

